aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-udev/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-06-23 13:55:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-23 13:57:12 +0000
commit53cf16af0375c357f2412f8cfe39043b27c7f589 (patch)
treeda2ea0911b07d9c25e7da0ffba810dc35004d7e2 /testing/py-udev/APKBUILD
parentee9c5b2f5e0f1cfffc9f9c247baacf851cf18e47 (diff)
downloadaports-53cf16af0375c357f2412f8cfe39043b27c7f589.tar.gz
aports-53cf16af0375c357f2412f8cfe39043b27c7f589.tar.bz2
aports-53cf16af0375c357f2412f8cfe39043b27c7f589.tar.xz
testing/py-udev: new aport
Python bindings to libudev http://pyudev.readthedocs.org needed by targetcli. ref #5763
Diffstat (limited to 'testing/py-udev/APKBUILD')
-rw-r--r--testing/py-udev/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/py-udev/APKBUILD b/testing/py-udev/APKBUILD
new file mode 100644
index 0000000000..1d412f99fb
--- /dev/null
+++ b/testing/py-udev/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-udev
+pkgver=0.20.0
+pkgrel=0
+pkgdesc="Python bindings to libudev"
+url="http://pyudev.readthedocs.org"
+arch="all"
+license="LGPLv2.1"
+depends="python"
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="py-udev-$pkgver.tar.gz::https://github.com/pyudev/pyudev/archive/v$pkgver.tar.gz"
+builddir="$srcdir/pyudev-$pkgver"
+
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e8b28775db6c6eecc2b7389fca96abdf py-udev-0.20.0.tar.gz"
+sha256sums="a4dcef45ebdd58882112659c0d206c9af1f9ee707bf54245b23c8b70326ee8ef py-udev-0.20.0.tar.gz"
+sha512sums="a04374df8d9f4b6ef10ba5bf1e185ee69928cb645abba682048b8edd557c3593feb2cf5ddbb681ee8e47e10d004f930493b247caa1d41046d16d729fbee6f778 py-udev-0.20.0.tar.gz"